## rtph265pay rtph265pay |

## Properties

gint | config-interval | Read / Write
gchar * | sprop-parameter-sets | Read / Write

## Types and Values

struct | GstRtpH265Pay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpH265Pay

## Description

## Synopsis

### Element Information

plugin | rtp
author | Jurgen Slowack <jurgenslowack@gmail.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-h265, stream-format=(string)hvc1, alignment=(string)au
| video/x-h265, stream-format=(string)byte-stream, alignment=(string){ nal, au }

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)video, payload=(int)[ 96, 127 ], clock-rate=(int)90000, encoding-name=(string)H265

## Functions

## Types and Values

### struct GstRtpH265Pay

    struct GstRtpH265Pay;

## Property Details

### The `“config-interval”` property

      “config-interval”          gint

Send VPS, SPS and PPS Insertion Interval in seconds (sprop parameter sets will be multiplexed in the data stream when detected.) (0 = disabled, -1 = send with every IDR frame).

Flags: Read / Write

Allowed values: [-1,3600]

Default value: 0

### The `“sprop-parameter-sets”` property

      “sprop-parameter-sets”     gchar *

The base64 sprop-parameter-sets to set in out caps (set to NULL to extract from stream).

Flags: Read / Write

Default value: NULL